org.apache.cassandra.metrics

## Class CQLMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.CQLMetrics

    public class CQLMetrics
    extends java.lang.Object

### Field Summary

Fields
`com.codahale.metrics.Gauge<java.lang.Integer>` `preparedStatementsCount`
`com.codahale.metrics.Counter` `preparedStatementsEvicted`
`com.codahale.metrics.Counter` `preparedStatementsExecuted`
`com.codahale.metrics.Gauge<java.lang.Double>` `preparedStatementsRatio`
`com.codahale.metrics.Counter` `regularStatementsExecuted`

### Constructor Summary

Constructors
Constructor and Description
`CQLMetrics()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### regularStatementsExecuted

    public final com.codahale.metrics.Counter regularStatementsExecuted

#### preparedStatementsExecuted

    public final com.codahale.metrics.Counter preparedStatementsExecuted

#### preparedStatementsEvicted

    public final com.codahale.metrics.Counter preparedStatementsEvicted

#### preparedStatementsCount

    public final com.codahale.metrics.Gauge<java.lang.Integer> preparedStatementsCount

#### preparedStatementsRatio

    public final com.codahale.metrics.Gauge<java.lang.Double> preparedStatementsRatio

### Constructor Detail

#### CQLMetrics

    public CQLMetrics()